Bug 427450 - ATI/Radeon: XVideo output filled with topmost pixel row of image
ATI/Radeon: XVideo output filled with topmost pixel row of image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 16:48 EST by Alex Villacís Lasso
Modified: 2009-01-09 02:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Configuration file used for Xorg (1.34 KB, text/plain)
2008-02-11 11:10 EST, Alex Villacís Lasso
no flags Details
Log file with configuration file (43.97 KB, text/plain)
2008-02-11 11:11 EST, Alex Villacís Lasso
no flags Details
Log file for X server with autodetection (61.59 KB, text/plain)
2008-02-11 11:12 EST, Alex Villacís Lasso
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12744 None None None Never

  None (edit)
Description Alex Villacís Lasso 2008-01-03 16:48:52 EST
Description of problem:
Programs that use XVideo (mplayer, totem) and attempt to show a movie only
display a "striped" image. This image is actually composed of the topmost pixel
row repeated over and over to fill the entire output rectangle.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.196-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start totem or mplayer, with output set to XVideo
2. Start playback of movie (example output is 640x480)
  
Actual results:
Striped image appears.

Expected results:
Normal video image should appear.

Additional info:
Somehow, the test application gstreamer-properties fails to trigger this bug.
Maybe it is related to the image size.
Comment 1 Alex Villacís Lasso 2008-01-03 17:00:20 EST
When running lspci -v, the following is displayed for the video card:

01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress
200] (prog-if 00 [VGA])
        Subsystem: Intel Corporation Unknown device d600
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 21
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at ee00 [size=256]
        Memory at fdef0000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at fde00000 [disabled] [size=128K]
        Capabilities: <access denied>
Comment 2 Alex Villacís Lasso 2008-01-09 16:19:41 EST
Problem still persists with xf86-video-ati from latest git (up to commit
10e7636c02478b8ffe183bb0c46229ca0d6584e1).
Comment 3 Alex Villacís Lasso 2008-01-09 16:28:08 EST
Bug is already being tracked at freedesktop bugzilla in
http://bugs.freedesktop.org/show_bug.cgi?id=12744
Comment 4 Matěj Cepl 2008-01-09 17:20:31 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Matěj Cepl 2008-02-11 09:50:58 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Alex Villacís Lasso 2008-02-11 11:10:23 EST
Created attachment 294573 [details]
Configuration file used for Xorg

This is the configuration file used for the first test.
Comment 7 Alex Villacís Lasso 2008-02-11 11:11:52 EST
Created attachment 294574 [details]
Log file with configuration file

Log file resulting from using above configuration. Bug still persists with
current git at 2008/02/11
Comment 8 Alex Villacís Lasso 2008-02-11 11:12:38 EST
Created attachment 294575 [details]
Log file for X server with autodetection

This is the log file when no configuration file is present. Bug still persists.
Comment 9 Bug Zapper 2008-11-26 04:16:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:34:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.